Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.persistence.dataobject
Class ModulePolicyDO

    java.lang.Object
      java.util.Observable
          org.wso2.wsas.persistence.dataobject.AbstractDataObject
              org.wso2.wsas.persistence.dataobject.ModulePolicyDO

    public class ModulePolicyDO

extends AbstractDataObject

Data object representing policy within an Axis2 module

Constructor Summary
`ModulePolicyDO()`

Method Summary
`ModuleDO` | `getModule()`
`java.lang.String` | `getPolicy()`
`int` | `getType()`
`java.lang.String` | `getUuid()`
`void` | `setModule(ModuleDO module)`
`void` | `setPolicy(java.lang.String policy)`
`void` | `setType(int type)`
`void` | `setUuid(java.lang.String uuid)`

Methods inherited from class org.wso2.wsas.persistence.dataobject.AbstractDataObject
`getId, getLastUpdatedTime, notifyObservers, setId, setLastUpdatedTime`

Methods inherited from class java.util.Observable
`addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, setChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModulePolicyDO

    public ModulePolicyDO()

Method Detail

### getPolicy

    public java.lang.String getPolicy()

### setPolicy

    public void setPolicy(java.lang.String policy)

### getUuid

    public java.lang.String getUuid()

### setUuid

    public void setUuid(java.lang.String uuid)

### getType

    public int getType()

### setType

    public void setType(int type)

### getModule

    public ModuleDO getModule()

### setModule

    public void setModule(ModuleDO module)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD